PDF::API3::Compat::API2::Basic::TTF::Hhea(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::Hhea - Horizontal Header table

DESCRIPTION
This is a simplte table with just standards specified instance variables

INSTANCE VARIABLES
    version
    Ascender
    Descender
    LineGap
    advanceWidthMax
    minLeftSideBearing
    minRightSideBearing
    xMaxExtent
    caretSlopeRise
    caretSlopeRun
    metricDataFormat
    numberOfHMetrics

METHODS

  $t->read
Reads the table into memory as instance variables

  $t->out($fh)
Writes the table to a file either from memory or by copying.

  $t->update
Updates various parameters in the hhea table from the hmtx table, assuming the "hmtx" table is dirty.

BUGS
None known

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.